Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class HealthMonitorGui.RowFilterByMonitorType<M extends HealthMonitorGui.MonitoredStationGettingModel>

    java.lang.Object
      javax.swing.RowFilter<M,java.lang.Integer>
          org.ka2ddo.yaac.gui.HealthMonitorGui.RowFilterByMonitorType<M>

Type Parameters:
  `M` - specific subclass of AbstractTableModel implementing the interface

Enclosing class:
  HealthMonitorGui

    public static class HealthMonitorGui.RowFilterByMonitorType<M extends HealthMonitorGui.MonitoredStationGettingModel>

extends javax.swing.RowFilter<M,java.lang.Integer>

Generic table RowFilter used to allow only stations matching a particular functional category to be visible in the JTable, even though all types exist in the underlying MonitoredStationList.

See Also:
  `MonitoredStationList`

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.RowFilter
`javax.swing.RowFilter.ComparisonType, javax.swing.RowFilter.Entry<M,I>`

Constructor Summary
`HealthMonitorGui.RowFilterByMonitorType(MonitorType... matchingType)`

Method Summary
`boolean` | `include(javax.swing.RowFilter.Entry<? extends M,? extends java.lang.Integer> entry)` Returns true if the specified entry should be shown; returns false if the entry should be hidden.

Methods inherited from class javax.swing.RowFilter
`andFilter, dateFilter, notFilter, numberFilter, orFilter, regexFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HealthMonitorGui.RowFilterByMonitorType

    public HealthMonitorGui.RowFilterByMonitorType(MonitorType... matchingType)

Method Detail

### include

    public boolean include(javax.swing.RowFilter.Entry<? extends M,? extends java.lang.Integer> entry)

  Returns true if the specified entry should be shown; returns false if the entry should be hidden.

  The `entry` argument is valid only for the duration of the invocation. Using `entry` after the call returns results in undefined behavior.

  Specified by:
    `include` in class `javax.swing.RowFilter<M extends HealthMonitorGui.MonitoredStationGettingModel,java.lang.Integer>`
  Parameters:
    `entry` - a non-`null` object that wraps the underlying object from the model
  Returns:
    true if the entry should be shown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD